Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.search
Class AttributeSearchSpecification

    java.lang.Object

      |

      +--oracle.ifs.search.SearchSpecification

            |

            +--oracle.ifs.search.AttributeSearchSpecification

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  ContextSearchSpecification

public class AttributeSearchSpecification
extends SearchSpecification

An AttributeSpecification represents a non Context Search. The Specification contains the ClassSpecification, SortSpecification and SearchTree. This class should be used when your searches do not contain any context based queries.

>      // Code Sample
>      AttributeSearchSpecification asp = new AttributeSearchSpecification();

>      //
>      SearchClassSpecification someSearchSpec = ...;
>      SearchSortSpecification someSortSpec = ... ;
>      SearchQualification someSearchQual = ...;
>      LibrarySession sess = ...;

>      //
>      // Set the SELECT statement and FROM statement of the search
>      asp.setSearchClassSpecification(someSearchSpec);

>      //
>      // Set the WHERE clause of the Search
>      asp.setSearchQualification(someSearchQual);

>      //
>      // Set the ORDER by clause of the search
>      asp.setSearchSortSpecification(someSortSpec);

>      //
>      // Create a Search using the AttributeSearchSpecification
>      Search someSearch = new Search(sess, asp);

See Also:
  `SearchClassSpecification`, `SearchSortSpecification`, `SearchQualification`, Serialized Form

Constructor Summary
`AttributeSearchSpecification()`

Method Summary
`java.lang.Object` | `clone()` Returns a clone of this AttributeSearchSpecification.
`SearchClassSpecification` | `getSearchClassSpecification()` Gets SearchClassSpecification of this search.
`SearchQualification` | `getSearchQualification()` Returns the SearchTree
`SearchSortSpecification` | `getSearchSortSpecification()` Gets the SearchSortSpecification for this object.
`void` | `setSearchClassSpecification(SearchClassSpecification scp)` Sets the SearchClassSpecification for this Search.
`void` | `setSearchQualification(SearchQualification s)` Sets the SearchQualification for thi object.
`void` | `setSearchSortSpecification(SearchSortSpecification sortSpec)` Sets the sort specification for this search.

Constructor Detail

### AttributeSearchSpecification

    public AttributeSearchSpecification()

Method Detail

### setSearchClassSpecification

    public void setSearchClassSpecification(SearchClassSpecification scp)
                                     throws IfsException

  Sets the SearchClassSpecification for this Search.
  Parameters:
    `scp` - SearchClassSpecification
  Throws:
    `IfsException` - if the operation fails

### setSearchQualification

    public void setSearchQualification(SearchQualification s)
                                throws IfsException

  Sets the SearchQualification for thi object.
  Parameters:
    `s` - SearchQualification representing SearchTree
  Throws:
    `IfsException` - if the operation fails

### getSearchQualification

    public SearchQualification getSearchQualification()

  Returns the SearchTree
  Returns:
    the SearchTree

### setSearchSortSpecification

    public void setSearchSortSpecification(SearchSortSpecification sortSpec)
                                    throws IfsException

  Sets the sort specification for this search.
  Parameters:
    `SearchSortSpecification` - SearchSortSpecification describing Sort behavior.
  Throws:
    `IfsException` - if the operation fails

### getSearchSortSpecification

    public SearchSortSpecification getSearchSortSpecification()
                                                       throws IfsException

  Gets the SearchSortSpecification for this object.
  Returns:
    SearchSortSpecification for this object.

### getSearchClassSpecification

    public SearchClassSpecification getSearchClassSpecification()
                                                         throws IfsException

  Gets SearchClassSpecification of this search.
  Overrides:
    `getSearchClassSpecification` in class `SearchSpecification`
  Returns:
    SearchClassSpecification of this object
  Throws:
    `IfsException` - if the operation fails

### clone

    public java.lang.Object clone()

  Returns a clone of this AttributeSearchSpecification. Does a deep copy, by cloning the individual elements.
  Overrides:
    `clone` in class `SearchSpecification`
  Returns:
    Return a clone of this AttributeSearchSpecification.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD